Skip to main content
POST
/
api
/
v0
/
team
create team
curl --request POST \
  --url https://console.vast.ai/api/v0/team \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "team_name": "my-awesome-team",
  "transfer_credit": 0
}
'
import requests

url = "https://console.vast.ai/api/v0/team"

payload = {
"team_name": "my-awesome-team",
"transfer_credit": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_name: 'my-awesome-team', transfer_credit: 0})
};

fetch('https://console.vast.ai/api/v0/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "msg": "Team Successfully Created!"
}
{
"success": false,
"msg": "Team name already exists"
}
{
"success": false,
"error": "auth_error",
"msg": "Invalid user key"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
team_name
string
required
Example:

"my-awesome-team"

transfer_credit
number<float>

Credits to transfer from personal account to team

Example:

0

Response

Team Successfully Created!

success
boolean
Example:

true

msg
string
Example:

"Team Successfully Created!"